from django.core.urlresolvers import reverse
from django.http import HttpResponse, Http404
from django.utils.translation import gettext as _
from django.shortcuts import get_object_or_404
from django.views.generic.list_detail import object_list
from django.shortcuts import render_to_response
from django.contrib.auth.decorators import login_required
from django.contrib.contenttypes.models import ContentType
import models

@login_required
def get_objects(request):
    """Returns all the instances of a model object"""
    if not request.method=='GET':
        return Http404
    ct = ContentType.objects.get(pk=int(request.GET['content_type']))
    object_list = ct.model_class().objects.all()
    return render_to_response("admin/versatile_menus/select_list.html", 
        {'object_list': object_list}
        )

@login_required
def get_absolute_url(request):
    '''
    Returns the default url for a content_object
    '''
    if not request.method=='GET':
        return Http404
    ct = ContentType.objects.get(pk=int(request.GET['content_type']))
    object = ct.get_object_for_this_type(pk=int(request.GET['object_id']))
    return HttpResponse(object.get_absolute_url())
